html, body {
	height: 100%;
	width: 100%;
}

body{
	background-color: #fffafa;
	word-break: break-all;
}

body.eos{
    background-color: #e0fff5;
    background-image:
	 repeating-linear-gradient(-45deg,#fff, #fff 7px,transparent 0, transparent 14px);
}

table{
	table-layout: fixed;
}

div{
	box-sizing: border-box;
}

.main_contents.fixed-size{
	margin: 0em 0em 0em 0em;
	padding: 4em 1em 1em 1em;
	height: 100%;
}

.main_contents {
	margin: 0em 0em 0em 0em;
	padding: 4em 1em 1em 1em;
}

.yscroll{
	overflow-y: auto;
}

.xscroll{
	overflow-x: auto;
}

.w100{
	width: 100%;
}

.h100{
	height: 100%;
}

.flex-col-container{
	display: flex;
	flex-direction: column;
	min-height: 0px;
}

.flex-row-container{
	display: flex;
	flex-direction: row;
	min-width: 0px;
}

.flex-resize-child{
	flex: 1 1 auto;
	min-height: 0px;
	height: 100%;
	min-width: 0px;
	width: 100%;
}

.flex-fixed-child{
	flex: 0 0 auto;
}

.nodisplay {
	display: none !important;
}

.hidden{
    visibility: hidden;
}

.nopadding {
	padding: 0px !important;
}

.app.table {
	display: table;
}

.app.vcenter {
	display: table-cell;
	vertical-align: middle;
}

.app.text_center {
	text-align: center;
}

.app.text_right {
	text-align: right;
}

.zero_margin {
	margin: 0px !important;
}

.zero_margin_top {
	margin-top: 0px !important;
}

.zero_margin_bot{
	margin-bottom: 0px !important;
}

.zero_padding_top{
	padding-top: 0px !important;
}

.zero_padding_bot{
	padding-bottom: 0px !important;
}

/*
.ui.grid > .row:first-child:not(:last-child){
	padding-bottom: 0px !important;
}
*/

input:read-only, textarea:read-only {
	background-color: whitesmoke !important;
}

.righ_float{
	float: right;
}

.pointer_icon {
	cursor: pointer;
}

.job_status_remain{
	color:darkgray;
}

.job_status_cur {
	color: black;
	font-weight: bold;
}

.job_status_end {
	color: red;
}

.job_bkcolor_yourturn{
	background-color: #fef263!important;
}

.job_bkcolor_yourturn2{
	background-color: #F9CE61!important;
}

.job_bkcolor_yourturn_backed{
	background-color: #8BFC62!important;
}

.job_color_yourturn_backed{
	color: #8BFC62!important;
}

.job_color_yourturn{
	color: #fef263;
}

.job_bkcolor_revised{
	background-color: #b2cbe4!important;
}

.job_color_revised{
	color: #b2cbe4;
}

.job_bkcolor_done{
	background-color: #efefef!important;
}

.job_color_done{
	color: #efefef;
}

.delay_delivery_date{
	background-color: mistyrose;
}

.soon_delivery_date {
	background-color: #ffffcc;
}

.table_outer {
	display: table !important;
}

.table_inner_center {
	display: table-cell;
	vertical-align: middle;
	text-align: center;
}

.table_inner_left {
	display: table-cell;
	vertical-align: middle;
	text-align: left;
}

.right_segment {
    border: 1px solid rgba(163, 163, 163, 0.7);
    border-radius: 5px;
    width: 100%;
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
    border-left-color: transparent !important;
}

a.disabled{
    pointer-events:none;
}

pre{
    white-space: pre-wrap;
    font-family: inherit !important;
    font-size: inherit !important;
}

.attach_file_link {
    text-decoration:underline;
}

.hilight_text{
	background-color: #fef263;
}

.jexcel > tbody > tr > td.readonly{
	color: black !important;
	background-color:#e8e8e8;
}

/* .jexcel > tbody > tr > td{
	padding-top: 0.5em !important;
	padding-bottom: 0.5em !important;
} */

.menu.menu > .header.item{
	background-color: #e8e8e8;
}

div.app.red{
	color: red;
}

span.required {
    color: red;
    vertical-align: text-top;
	font-size: 1.0em;
	font-weight: 900;
}

div.menu .secret{
    color: red !important;
    background-color: #EEEEEE !important;
    border-bottom: 1px solid black !important;
    font-weight: bold !important;
}

.app_selectable:not(.disabled){
	color: #4183c4 !important;
}

.request_side_color{
	background-color: #D1EDBE !important;
}

.answer_side_color{
	background-color: #BEE5ED !important;
}

.ui.toggle.checkbox:not(.read-only) label::before{
	box-shadow: 0 0 10px 2px #739ce7a0 !important;
}

.mobile_table_cc_mail_addr
{
    border-collapse: collapse;
    table-layout: fixed;
    border: 1px solid black;
    width: 100%;
}

.mobile_table_cc_mail_addr th
{
    border: 1px solid black;
    background: #C0C0C0;
    font-size: 15px;
}

.mobile_table_cc_mail_addr td
{
    border: 1px solid black;
    font-size: 13px;
}

.mobile_table_rapid
{
    border-collapse: collapse;
    table-layout: fixed;
    border: 1px solid black;
    width: 100%;
}

.mobile_table_rapid th
{
    border: 1px solid black;
    background: #C0C0C0;
    font-size: 13px;
}

.mobile_table_rapid td
{
    border: 1px solid black;
    font-size: 10px;
}

.jexcel thead td {
    white-space: pre-line;
}